## org.mortbay.html
Class Comment

    java.lang.Object
      |
      +--org.mortbay.html.Element
            |
            +--org.mortbay.html.Composite
                  |
                  +--org.mortbay.html.Comment

public class Comment
extends Composite

HTML Comment.

Version:
  $Id: Comment.java,v 1.1 2001/09/02 01:13:08 gregwilkins Exp $
Author:
  Greg Wilkins (gregw)

Field Summary

Fields inherited from class org.mortbay.html.Element
`ALIGN, BGCOLOR, BOTTOM, CENTER, CLASS, COLOR, HEIGHT, ID, LEFT, MIDDLE, noAttributes, RIGHT, SIZE, STYLE, TOP, VALIGN, WIDTH`

Constructor Summary
`Comment()`

Method Summary
`void` `write(java.io.Writer out)` Write the composite.

Methods inherited from class org.mortbay.html.Composite
`add, contents, nest, replace, reset, setNest, size, unnest`

Methods inherited from class org.mortbay.html.Element
`attribute, attribute, attribute, attributes, attributes, bgColor, bottom, center, color, cssClass, cssID, height, height, height, left, middle, right, setAttributesFrom, size, size, style, top, toString, width, width, width, write, write`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Comment

    public Comment()

Method Detail

### write

    public void write(java.io.Writer out)
               throws java.io.IOException

  Description copied from class: `Composite`
  Write the composite. The default implementation writes the elements sequentially. May be overridden for more specialized behaviour.

  Overrides:
    `write` in class `Composite`
  Parameters:
    `out` - Writer to write the element to.
    `java.io.IOException`

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.